<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Action extends CI_Controller {
	function __construct(){
		parent::__construct();
	}
	/**
	 * Index Page for this controller.
	 *
	 * Maps to the following URL
	 * 		http://example.com/index.php/welcome
	 *	- or -
	 * 		http://example.com/index.php/welcome/index
	 *	- or -
	 * Since this controller is set as the default controller in
	 * config/routes.php, it's displayed at http://example.com/
	 *
	 * So any other public methods not prefixed with an underscore will
	 * map to /index.php/welcome/<method_name>
	 * @see https://codeigniter.com/user_guide/general/urls.html
	 */
	public function signup()
	{

		$this->load->library('form_validation');
		$this->form_validation->set_rules('email','email','required');
		$this->form_validation->set_rules('name','name','required');
		$this->form_validation->set_rules('phone','phone','required');
		$this->form_validation->set_rules('pass','pass','required');
		// $this->form_validation->set_rules('pass2','pass2','required');
		$this->form_validation->set_rules('country','country','required');
		$this->form_validation->set_rules('type_u','type_u','required');
		if($this->form_validation->run()){

			$name=$this->input->post('name');
			$email=$this->input->post('email');
			$phone=$this->input->post('phone');
			$pass=$this->input->post('pass');
			$type_u=$this->input->post('type_u');
			// $pass2=$this->input->post('pass2');
			@$refer=$this->input->post('refer');
			@$country=$this->input->post('country');

			// check_mobile($phone);
			// check password
			check_passwords($pass,'PD001');
			// if($pass != $pass2){
			// 	echo 'The two passwords do not match'; die;
			// }

			$randon=rand('1111','9999');
			$signup_data=array(
				'name' =>$name,
				'email' =>$email,
				'contact' =>$phone,
				'pass' =>sha1($pass),
				'cover' =>'cover.jpg',
				'photo' =>'photo.jpg',
				'refer_by' =>$refer,
				'refer_code' =>$randon,
			);
				$thelist=get_country_details($country,'1','1');
                $user_currency=$thelist['currencies']['0']['symbol'];
                $user_currency_2=$thelist['currencies']['0']['code'];
                $callingcode=$thelist['callingCodes']['0'];
                $_SESSION['currency_code']=$user_currency;
                $_SESSION['currency']=$user_currency_2;
                $_SESSION['user_balance']='0';

                $phone=$callingcode.$phone;
		$query=$this->db->query("select contact from site_mem where contact ='$phone' or email ='$email' ");
	 	if($query->num_rows() =='0' ){
	 		$pass=sha1($pass);
	 		$this->db->query("insert into site_mem (name,email,pass,contact,date,user_country,user_currency,user_type) values ('$name','$email','$pass','$phone',now(),'$country','$user_currency_2','$type_u') ");
	 		$yid = $this->db->insert_id();
	 		$_SESSION['yid']=$yid;
	 		$_SESSION['plan']='0';

	 		$yid=$_SESSION['yid'];
			$dirPath = "assets/mem/$yid";
			$dirPath2 = "assets/mem/$yid/img/";
			mkdir($dirPath, 0777, TRUE);
			mkdir($dirPath2, 0777, TRUE);

			$file = base_url().'assets/avator/main-profile.jpg';
			$file2 = base_url().'assets/avator/cover.jpg';
			$tocoppy="$dirPath2/photo.jpg";
			$tocoppy2="$dirPath2/cover.jpg";
			$abch=copy($file, $tocoppy);
			$abch2=copy($file2, $tocoppy2);

				//send email
			$site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];
			$site_phone=$site_details['site_phone'];
			$ip=$this->input->ip_address();
        	$date=date('Y-m-d H:i:s');
            
            $greet_name="Hello, $name";
            $heading_first='We are happy to have you on our platform.';
            $brief_heading="Welcome to $site_name, Please check your details below.";
            $image_link=base_url('assets/avator/email/user.png');
            $details_1='';
            $price_data_2='Please check your details below.';
            $detail_message="Your Name: $name <br/> Mail: $email <br/> Phone: $phone <br/> Date: $date<br/>IP: $ip";
            $btn_link=base_url();
            $btn_text='Browse Website';
            $emaillist_act=array("$email","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$email";
            $subject09="Thank you for signing-up at $site_name";
            $preheader="We are checking your account and you will be able to login within 204 hrs.";
            $message="We are checking your account and you will be able to login within 204 hrs.";
            $myName_emailis="Thank you for signup";
            include_once('assets/inc/email_temp_2.php');
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);
				//send sms
            $the_fakeemail='';
            $phone=$phone;
            $this->send_otp($the_fakeemail,$phone);

				// create session
            	@session_start();
                $_SESSION['yid']=$yid;
                $_SESSION['name']=$name;
            	$_SESSION['email']=$email;
                $_SESSION['phone']=$phone;
                $_SESSION['verify']='0';
                $_SESSION['profile']='photo.jpg';
                $_SESSION['plan']='0';
                $_SESSION['user_type']=$type_u;

                $this->load->helper('cookie');
					$cookie = array(
                    'name'   => 'YN-REM-US',
                    'value'  => $yid,
                    'expire' =>  865000,
                    'secure' => false
               	);
       			 $this->input->set_cookie($cookie);

                echo 'YNAPS_SUCCESS'; die;
	 	}else{
	 		echo "The email $email and phone +$phone already exists in our records please choose other email and phone or login."; die;
	 	}


			//true
		}else{
			// false
			echo 'Please enter all the required details.'; die;
		}
	}

	function login(){
		$this->load->library('form_validation');
		$this->form_validation->set_rules('email','email','required');
		$this->form_validation->set_rules('pass','pass','required');
		if($this->form_validation->run()){

			$email=$this->input->post('email');
			$pass=$this->input->post('pass');
			if($this->ynaps_model->login($email,$pass)){
				echo 'YNAPS_SUCCESS';
			}else{
				echo 'Please check your login details, email/phone and password combination does not match. Please Note do not add any country code or extension in your phone.'; die;
			}
			//true
		}else{
			// false
			echo 'Please enter your email and passowrd.'; die;
		}
	}

	function vlogin(){
		$this->load->library('form_validation');
		$this->form_validation->set_rules('email','email','required');
		$this->form_validation->set_rules('pass','pass','required');
		$this->form_validation->set_rules('sb_mail','sb_mail','required');
		if($this->form_validation->run()){

			$sb_mail=$this->input->post('sb_mail');
			$email=$this->input->post('email');
			$pass=$this->input->post('pass');
			if($this->ynaps_model->loginv($email,$pass,$sb_mail)){
				echo 'YNAPS_SUCCESS';
			}else{
				echo 'Please check your login details, email/phone and password combination does not match. Please Note do not add any country code or extension in your phone.'; die;
			}
			//true
		}else{
			// false
			echo 'Please enter your email and passowrd.'; die;
		}
	}



	function password_reset(){
    		$site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];

			$email=$this->input->post('email');
			$hash=sha1($email);
            $code=rand(1111,9999);
            $emaillist_act=array("$email","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$site_email";
            $subject09="Password Reset";
            $preheader="Hello you requested to reset your passwrod...";
            $greet="Hi,";
            $message="Hello you requested to reset your passwrod, please click the link below to reset your password.";
            $link=base_url('index.php/main/reset_password')."?mail=".$email.'&ha='.sha1($email).'90';
            $linkname='Password reset';
            $message2="$site_brief";
            $greet2='Thank you so much';
            $myName_emailis="Password Reset";
            $messageto90=email_template($preheader,$greet,$message,$link,$linkname,$message2,$greet2,$site_name,$site_address);
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);
            echo "YNAPS_SUCCESS";

    }
    function password_reset2(){
    	$e=$this->input->post('e');
    	$pass=$this->input->post('pass1');
    	$pass2=$this->input->post('pass2');

    	if($pass == $pass2){
    		$pass=sha1($pass);
    		$updatepass=$this->db->query("update site_mem set pass='$pass' where email='$e' ");
    		echo "YNAPS_SUCCESS";
    	}else{
    		echo 'The two passwords do not match'; die;
    	}
    }function password_change(){
    	$pass=$this->input->post('pass');
    	$pass1=$this->input->post('pass1');
    	$pass2=$this->input->post('pass2');
    	$yid=$_SESSION['yid'];

    	$hegtepass=$this->db->query("select pass from site_mem where mid='$yid'");
    	$passa_Sdat=$hegtepass->row_Array();

    	if($passa_Sdat['pass'] != sha1($pass) ){
    		echo 'The Old password do not match please try again.'; die;
    	}
    	if($pass1 ==''){
    		echo 'Please enter new password'; die;
    	}
    	if($pass1 == $pass2){
    		$pass=sha1($pass1);
    		$updatepass=$this->db->query("update site_mem set pass='$pass' where mid='$yid' ");
    		echo "YNAPS_SUCCESS";
    	}else{
    		echo 'The two passwords do not match'; die;
    	}
    }

	function edit(){
			check_session('3','1');
			$name=$this->input->post('name');
			$phone=$this->input->post('phone');
			$add=$this->input->post('add');
			$city=$this->input->post('city');
			// $country=$this->input->post('country');
			$zip=$this->input->post('zip');
			$gender=$this->input->post('gender');
			$dob=date_format_1($this->input->post('dob'),'sql');
			$about=$this->input->post('about');

			$fb=$this->input->post('fb');
			$tw=$this->input->post('tw');
			$ins=$this->input->post('ins');
			$yt=$this->input->post('yt');
			$bl=$this->input->post('bl');

			$yid=$_SESSION['yid'];
			

			if($name !='' && $gender !=''){
				$update_data=$this->db->query("update site_mem set name='$name',address='$add',user_city='$city',user_zip='$zip',gender='$gender',about='$about',fb='$fb',tw='$tw',insta='$ins',user_dob='$dob' where mid='$yid' ");

				echo 'YNAPS_SUCCESS'; die;
			}else{
				echo 'Please enter your name,phone and gender to continue.';
			}
	}

	function photo(){
		$yid=$_SESSION['yid'];
		$cvr_prf=$_POST['cvr_prf'];
		$file_get_res=uploadonlyimage('file_name',"assets/mem/$yid/img/",'90');
		if( substr($file_get_res,0,6) =='SUCCXX'){
    	$NewImageName=substr($file_get_res,6);
    	$setDATA_base=$this->db->query("update site_mem set $cvr_prf='$NewImageName' where mid='$yid'");
		$_SESSION['profile']=$NewImageName;
    	echo 'YNAPS_SUCCESS'; }
	}

	function generate_otp($email,$phone){
		@session_start();
		if( isset($_SESSION['otp']) && $_SESSION['otp'] !=''){
			$otp=$_SESSION['otp'];
			$_SESSION['otp_email']=$email;
			$_SESSION['otp_phone']=$phone;
		}else{ $otp=rand(1111,9999); }
		$_SESSION['otp']=$otp;

		//email and sms
			$site_details=db_variables();
			// $site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			// $site_email=$site_details['site_email'];
			// $site_address=$site_details['site_address'];

			// $hash=sha1($email);
   //          $code=rand(1111,9999);
   //          $emaillist_act=array("$email","$site_email");
   //          $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
   //          $tos="$site_email";
   //          $subject09="OTP for your contact";
   //          $preheader="Hello you requested for an OTO...";
   //          $greet="Hi,";
   //          $message="Your OTP as requested on $site_name is <b>$otp</b> .";
   //          $link=base_url('index.php')."?mail=".$email.'&ha='.sha1($email).'90';
   //          $linkname='Browse website';
   //          $message2="$site_brief";
   //          $greet2='Thank you so much';
   //          $myName_emailis="Password Reset";
   //          $messageto90=email_template($preheader,$greet,$message,$link,$linkname,$message2,$greet2,$site_name,$site_address);
   //          send_email($tos,$subject09,$messageto90,$site_name,$json_string);

            $sms_mess="Your OTP as requested on $site_name is $otp. Please do not share.";
            send_sms($phone,$sms_mess);
	}

	function send_otp($email,$phone){
     	$this->generate_otp($email,$phone);
     	return 'YNAPS_SUCCESS'; die;
    }

	function otp_verify($otp){
		@session_start();
		$otp=$this->input->post('otp');
		$function=$this->input->post('function');
		if($otp == $_SESSION['otp']){
			$_SESSION['otp_time_limit']='';
			$_SESSION['otp']='';
			//add your function here
			$yid=$_SESSION['yid'];
			$this->db->query("update site_mem set user_status='1' where mid='$yid' ");
			$_SESSION['verify']='1';
			return 'YNAPS_SUCCESS';
		}else{
			$email=$_SESSION['otp_email'];
			@$phone=$_SESSION['otp_phone'];
			if(isset($_SESSION['otp_time_limit']) && $_SESSION['otp_time_limit'] !=''){
			$CURRENTTIME = date('Y-m-d H:i:s');
    		$OFFICETIME  = @$_SESSION['otp_time_limit'];
			if ($CURRENTTIME  > $OFFICETIME) {
				$this->generate_otp($email,$phone);
				echo 'Sorry, wrong OTP but we have sent you an OTP again.'; die;
			}else{
				echo 'Wrong OTP, please wait for 30 seconds for another OTP. Enter any otp after 30 seconds to resend it.'; die;
			}
			}else{
				$this->generate_otp($email,$phone);
				$_SESSION['otp_time_limit']=date("Y-m-d H:i:s",strtotime(date("Y-m-d H:i:s")." +30 seconds"));
				echo 'Sorry, wrong OTP but we have sent you an OTP again.'; die;
			}
		}
	}


			function contact(){
    		$name=$this->input->post('name');
			$email=$this->input->post('email');
			$phone=$this->input->post('phone');
			$mess=$this->input->post('mess');
			$NAMES=$this->input->post('NAMES');
			if($NAMES !=''){
				echo 'Success, Please call us at 9034664487'; die;
			}

			// google captcha not needed here
    @$captcha=$this->input->post('g-recaptcha-response');
        $this->load->view('inc/recaptchalib');
        if(!$captcha){ echo 'Please check the the captcha form.'; die; }
        $response=json_decode(file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6LfgnxAUAAAAAD9TwtAKzP0dmqZenOeWb0OMCmrN&response=".$captcha."&remoteip=".$_SERVER['REMOTE_ADDR']), true);
        if($response['success'] == false){ echo 'Sorry, Captcha failed !!'; die; }

        $ip=$this->input->ip_address();
        $date=date('Y-m-d H:i:s');
        if($phone !='' && $name !=''){
            $this->db->query("insert into site_contact (name,email,phone,msg,date,ip) values ('$name','$email','$phone','$mess','$date','$ip')");

            $site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];
			$site_phone=$data['site_phone'];
            
            $greet_name="Hello, $name";
            $heading_first='We have received your message';
            $brief_heading='This is what we have received from you.';
            $image_link=base_url('assets/avator/email/main.png');
            $details_1='We will contact you within 24 hrs';
            $price_data_2='Please check your details below.';
            $detail_message="Your Name: $name <br/> Mail: $email <br/> Phone: $phone <br/> Message: $mess<br/> Date: $date<br/>IP: $ip";
            $btn_link=base_url();
            $btn_text='Browse Website';
            $emaillist_act=array("$email","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$email";
            $subject09="Thank you for contacting $site_name";
            $preheader="We have received your message, please find the details below.";
            $message="We have received your message, please find the details belows.";
            $myName_emailis="Message Received";
            include_once('assets/inc/email_temp_2.php');
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);

                echo 'YNAPS_SUCCESS'; die;
        }else{
           echo 'Please fill your name and phone.'; die;
        }

    }
    function account_verify(){
    	$email=$this->input->post('email');
		$phone=$this->input->post('phone');
		$yid=$_SESSION['yid'];
		$cvr_prf=$_FILES['image_name']['name'];
		$file_get_res=uploadonlyimage('image_name',"assets/mem/$yid/img/",'90');
		if( substr($file_get_res,0,6) =='SUCCXX'){
    	$NewImageName=substr($file_get_res,6);
    	$setDATA_base=$this->db->query("update site_mem set ID='$NewImageName' where mid='$yid'");

     	$this->send_otp($email,$phone);
     	echo 'YNAPS_SUCCESS'; die; }else{
     		echo 'ID card image issue.'; die;
     	}
    }

    function acc_verify(){
    	@session_start();
    	$otp=$this->input->post('otp');
    	$otp_check=$this->otp_verify($otp);
    	if($otp_check == 'YNAPS_SUCCESS'){
    		$yid=$_SESSION['yid'];
    		$verify_acc=$this->db->query("update site_mem set verify='2' where mid='$yid' ");

    		echo 'YNAPS_SUCCESS'; die;
    	}else{
    		return false;
    	}
    }

function subscribe(){

        $email=$this->input->post("email");
        if($email !=''){
        emailCHECK($email,'Error code SU02-');

        	$site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];

        $checkemals=$this->db->query("select sbc_email from site_subscribe where sbc_email='$email' ");
        if($checkemals->num_rows() !='0'){
            echo "Your Email Id is already is in our Subscription List. If you are not getting our newsletter, add $site_email to your address book to get the newsletter in your inbox."; die;
        }

        $dbinsert=$this->db->query("insert into site_subscribe (sbc_email,sbc_date,sbc_ip) values ('$email',now(),'0')");
            $emaillist_act=array("$email","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$site_email";
            $subject09="Welcome to $site_name";
            $preheader="Welcome to $site_name family.";
            $greet="";
            $subject09="Thank you for Subscribing ProfZilla Newsletter";
            $preheader="Thank you for Subscribing ProfZilla....";
            $greet="";
            $message="You have subscribed to receive the ProfZilla Newsletter.<br/>
            Our Newsletter will have the latest blogs, vacancies, queries, listings etc. at your desk.
            ";
            $link=base_url();
            $linkname='Browse';
            $message2="$site_brief";
            $greet2='Thank you so much';
            $myName_emailis="Subscribe";
            $messageto90=email_template($preheader,$greet,$message,$link,$linkname,$message2,$greet2,$site_name,$site_address);
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);

        echo 'YNAPS_SUCCESS'; die;
        }else{
            echo 'Please fill your email'; die;
        }
}

function update_data(){
$q=$this->input->post("q");
$ans=$this->input->post("ans");
$code=$this->input->cookie('user-covid', TRUE);
if(!isset($code)){ echo "Please refresh the page, we got some errors."; die; }

	$addadates=$this->db->query("select * from co_details where cd_code ='$code' ");
	if($addadates->num_rows() > 0 ){
		// update

		$add_data=$this->db->query("update co_details set cd_q$q='$ans',cd_date=now() where cd_code='$code' ");

		if($q =='7'){
			$result=gethelp_result($code);
				$cookie = array(
                    'name'   => 'user-covid-result',
                    'value'  => $result,
                    'expire' =>  865000,
                    'secure' => false
                );
                $this->input->set_cookie($cookie);

              $add_data=$this->db->query("update users set status='$result' where code='$code' ");
		}

	}else{
		// add
		$add_data=$this->db->query("insert into co_details (cd_q$q,cd_code,cd_date) values ('$ans','$code',now()) ");

	}

	echo 'YNAPS_SUCCESS'; die;
}

function uploade_loc(){
	$lat=$this->input->post("lat");
	$lon=$this->input->post("lon");
	$code=$this->input->cookie('user-covid', TRUE);
	$nomwtime=date('Y/m/d h:i:s');

	$thecheck_90a=$this->db->query("select * from co_loc where cl_code='$code' and cl_lat='$lat' and cl_long='$lon' and DATE(cl_date)=CURDATE() ");
	if($thecheck_90a ->num_rows() =='0'){
		$addtehislocas=$this->db->query("insert into co_loc (cl_code,cl_lat,cl_long,cl_date) values ('$code','$lat','$lon','$nomwtime') ");
	}
}

function newsletter(){
        $email=$this->input->post('email');

        if($email !=''){
        emailCHECK($email,'Error code SU02-');

        $site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];

        $checkemals=$this->db->query("select sbc_email from site_subscribe where sbc_email='$email' ");
        if($checkemals->num_rows() !='0'){
            echo "Your Email Id is already is in our Subscription List. If you are not getting our newsletter, add $site_email to your address book to get the newsletter in your inbox."; die;
        }
        $ip= $this->input->ip_address();
        $dbinsert=$this->db->query("insert into site_subscribe (sbc_email,sbc_date,sbc_ip) values ('$email',now(),'$ip')");



        $hash=sha1($email);
            $code=rand(1111,9999);
            $emaillist_act=array("$email","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$site_email";
            $subject09="you have been subscribed to our newsletter";
            $preheader="you have been subscribed to our newsletter";
            $greet="Hi,";
            $message="You have subscribed to receive the $site_name Newsletter.<br/>
            Our Newsletter will have the latest news at your desk.";
            $link=base_url();
            $linkname='Shop Now';
            $message2="$site_brief";
            $greet2='Thank you so much';
            $myName_emailis="Membership";
            $messageto90=email_template($preheader,$greet,$message,$link,$linkname,$message2,$greet2,$site_name,$site_address);
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);

        echo 'YNAPS_SUCCESS'; die;
        }else{
            echo 'Please fill your email'; die;
        }
    }
////////////////////////////////// THIS IS CUSTOM/ /////////////////////////////////////

function otp_verify_cod(){
	$otp=$this->input->post('otp');
	if($otp !=''){
		echo $this->otp_verify($otp);
	}else{
		echo "Please enter OTP"; die;
	}

}

function payment_add(){
	$amount=$_GET['pay'];
	$getthelast_data=$this->db->query("select tx_id from txns order by tx_id desc limit 1");
	$therealse_syu=$getthelast_data->row_array();
	$thelastid=$therealse_syu['tx_id']+1;

	$ip=$_SERVER['REMOTE_ADDR'];
	$date=date('Y-m-d H:i:s');

	$yid=$_SESSION['yid'];
	$currency=$_SESSION['currency'];
	$txn_id=date("dmyhms").rand(1111,9999).$thelastid;
	$this->db->query("insert into txns (tx_idno,tx_from,tx_to,tx_amount,tx_currency,tx_status,tx_date,tx_ip,tx_type) values ('$txn_id','$yid','$yid','$amount','$currency','0','$date','$ip','cr') ");
	$this->db->query("update site_mem set user_balance=user_balance+$amount where mid='$yid' ");

	redirect(base_url('profile'));
}

function send_pay(){
	$receiver=$this->input->post('receiver');
	$amount=$this->input->post('amount');
	$desc=$this->input->post('desc');
	$currency=$_SESSION['currency_code'];
	$currency1=$_SESSION['currency'];
	if($amount < 0.1){
		echo "Please enter amount more than 0.1 $currency, we do not transfer less than 0.2 $currency as of now."; die;
	}

	// not me
	if($_SESSION['yid'] =='' || $_SESSION['yid'] == $receiver){
		echo "You can not transfer money to your self, Please refresh the page and try again."; die;
	}

	$get_user_details=$this->db->query("select * from site_mem where mid='$receiver' ");
	$thedetails=$get_user_details->row_array();

	if($thedetails['user_currency'] != $_SESSION['currency'] || $thedetails['user_currency'] =='' ){
		echo "Seems like you are trying to transfer money not in your currency, or the receiver has not selected his currency yet. We do not allow inter currency transfers as of now."; die;
	}
	// not a blocked person
	if($thedetails['user_status'] == '0'  || $thedetails['user_status'] == '3' ){
		echo "The receiver is blocked or has not verified his account yet, Please ask the receiver to verify his / her account before receiving the money."; die;
	}
	$yid=$_SESSION['yid'];
	
	$get_user_details222=$this->db->query("select * from site_mem where mid='$yid' ");
	$thedetai345ls=$get_user_details222->row_array();
	if($thedetai345ls['user_status'] == '0'  || $thedetai345ls['user_status'] == '3' ){
		echo "your account is not verified yet, please contact us for more details.";
		die;
	}

	// your amount balance limit reached
	$get_user_detailss=$this->db->query("select * from site_mem where mid='$yid' ");
	$thedetailss=$get_user_detailss->row_array();
	if($thedetailss['user_balance'] < $amount  ){
		$amou=$thedetailss['user_balance'];
		
		echo "You do not have enough amount to transfer this money, please topup. You have $currency $amou in your wallet."; die;
	}

	// transfer the money now
	$debittheamoutnow=$this->db->query("update site_mem set user_balance=user_balance-$amount where mid='$yid' ");
	$debittheamoutnow=$this->db->query("update site_mem set user_balance=user_balance+$amount where mid='$receiver' ");

	
	$ip=$_SERVER['REMOTE_ADDR'];
	$date=date('Y-m-d H:i:s');
	$txn_id=date("dmyhms").rand(1111,9999);
	$_SESSION['order_id']=$txn_id;
	$_SESSION['order_type']=5;
	$loc=$_SESSION['currency'];

	@$or_cashier=$_SESSION['cashier'];
		if($_SESSION['user_type'] =='v' && @$_SESSION['cashier'] ==''){
		@$or_cashier='Admin';
	}

	$email=$_SESSION['email'];
	$the_add_data=$this->db->query("insert into cr_orders (or_orid,or_email,or_amount,or_type,or_provider,or_benif,or_phone,or_date_created,or_status,currency,user_country,cr_token,cr_ch_SKU,pro_logo,cr_send_value,or_cashier) values ('$txn_id','$email','$amount','5','','','',now(),'0','$currency1','$loc','','','','0','$or_cashier') ");

	$balance=balance($yid,'1');
	$addbalance=$this->db->query("insert into wal_txns (wx_from,wx_to,wx_amount,wx_date,wx_status,wx_ip,wx_bal_till_now,wx_order_id,wx_mid,wx_currency,wx_comments) values ('$yid','$receiver','$amount',now(),'1','$ip','$balance','$txn_id','$yid','$currency1','$desc') ");

			$rec_name=$thedetails['name'];
			$rec_phone=$thedetails['contact'];
			$email_sender=$_SESSION['email'];
	//send sms for sender
			
			$site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];
			$site_phone=$site_details['site_phone'];
            
            $name=$thedetailss['name'];
            $greet_name="Hello, $name";
            $heading_first="you have sent $currency $amount to $rec_name";
            $brief_heading="Your money transfer went successfully. Please find the receipt details here.";
            $image_link=base_url('assets/avator/email/money-transfer.png');
            $details_1='';
            $price_data_2='Money Transfer Details';
            $detail_message="Amount transfered: $currency $amount <br/> Sent to: $rec_name <br/> Receiver's Phone: $rec_phone <br/> Transaction Number: $txn_id <br/> Date: $date <br/> IP: $ip ";
            $btn_link=base_url();
            $btn_text='Print Receipt';
            $emaillist_act=array("$email_sender","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$email_sender";
            $subject09="you have sent $currency $amount to $rec_name | $site_name";
            $preheader="Your money transfer went successfully. Please find the receipt details here.";
            $message="Your money transfer went successfully. Please find the receipt details here.";
            $myName_emailis="Payment Transfers";
            include('assets/inc/email_temp_2.php');
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);
				//send sms
            $sms_mess="you have sent $currency $amount to $rec_name. Transaction ID $txn_id. Please find more details on your email.";
            $ph12er=$thedetailss['contact'];
            $country=$thedetailss['user_country'];
			
			$thelist=get_country_details($country,'1','1');
            $callingcode=$thelist['callingCodes']['0'];            
            $phone=$callingcode.$ph12er;
            send_sms($phone,$sms_mess);

            // for receiver
            $site_details=db_variables();
			$site_brief=$site_details['site_brief'];
			$site_name=$site_details['site_name'];
			$site_email=$site_details['site_email'];
			$site_address=$site_details['site_address'];
			$site_phone=$site_details['site_phone'];
            
            $name=$thedetails['name'];
            $rec_name=$thedetailss['name'];
            $rec_phone=$thedetailss['contact'];
            $email_rec=$thedetails['email'];
            $greet_name="Hello, $name";
            $heading_first="you have received $currency $amount from $rec_name";
            $brief_heading="hey you have received $currency $amount . Please find the receipt details here.";
            $image_link=base_url('assets/avator/email/money-transfer.png');
            $details_1='';
            $price_data_2='Money Transfer Details';
            $detail_message="Amount received: $currency $amount <br/> Received from: $rec_name <br/> Sender's Phone: $rec_phone <br/> Transaction Number: $txn_id <br/> Date: $date <br/> IP: $ip ";
            $btn_link=base_url();
            $btn_text='Print Receipt';
            $emaillist_act=array("$email_rec","$site_email");
            $json_string = array( 'to' =>$emaillist_act,'category' => 'signup-form');
            $tos="$email_rec";
            $subject09="you have received $currency $amount from $rec_name | $site_name";
            $preheader="you have received $currency $amount from $rec_name";
            $message="hey you have received $currency $amount . Please find the receipt details here.";
            $myName_emailis="Payment Transfers";
            include('assets/inc/email_temp_2.php');
            send_email($tos,$subject09,$messageto90,$site_name,$json_string);
				//send sms
            $sms_mess="Hey you have received $currency $amount from $rec_name. Transaction ID $txn_id. Please find more details on your email.";
            $ph12er=$thedetails['contact'];
            $country=$thedetails['user_country'];
			
			$thelist=get_country_details($country,'1','1');
            $callingcode=$thelist['callingCodes']['0'];            
            $phone=$ph12er;
            send_sms($phone,$sms_mess);

	// send emails

	echo 'YNAPS_SUCCESS'; die;


}

function set_phone(){
	$phone=$this->input->post('phone');
	$loc_details=$this->input->post('loc');

	$code=substr($loc_details,2,4);
	$ISO_loc=substr($loc_details,0,2);
	// $preg=$this->input->post('preg');

	$new_phone=$code.$phone;
	if($code ==''){redirect(base_url('recharge')."?msg=".urlencode('country not supported'));}else{

	$get_datas=ding_API('GetProviders',"countryIsos=$ISO_loc","",'','');
	$preg=$get_datas['Items']['0']['ValidationRegex'];

	// echo $preg; die;
	//check if the number is good
	///^91[0-9]{10,11}$/
	if (!preg_match("/$preg/", $new_phone)) {
		redirect(base_url('recharge')."?msg=".urlencode("Your phone number seems to be wrong, please check again."));
	}

	$_SESSION['cr_phone']=$code.$phone;
	$_SESSION['cr_loc']=$ISO_loc;
	$_SESSION['cr_m_step']='1';

	$loc=$this->input->post("loc");
				$cookie = array(
                    'name'   => 'cr_loc',
                    'value'  => $ISO_loc,
                    'expire' =>  865000,
                    'secure' => false
                );
    $this->input->set_cookie($cookie);
	// redirect($_SERVER['HTTP_REFERER']);
	redirect(base_url('recharge'));
	} }

	function redo(){
	$_SESSION['cr_phone']='';
	$_SESSION['cr_loc']='';
	$_SESSION['cr_m_step']='';
	redirect($_SERVER['HTTP_REFERER']);
	}

	function add_oper(){
		$ope=$this->input->post('ope');
		$_SESSION['cr_operator']=$ope;
		redirect(base_url('recharge'));
	}

function order_process(){
$pro=$this->input->post('pro');
$sku=$this->input->post('sku');
$operator=$this->input->post('operator');
$operator_logo=$this->input->post('operator_logo');

$get_datas=ding_API('GetProducts',"skuCodes=$sku",'','','');

$_SESSION['cr_ch_SKU']=$sku;
$_SESSION['cr_ch_benif']=$get_datas['Items']['0']['DefaultDisplayText'];
$_SESSION['cr_ch_dur']=$get_datas['Items']['0']['ValidityPeriodIso'];
$_SESSION['cr_ch_cost']=$get_datas['Items']['0']['Maximum']['SendValue'];
$_SESSION['cr_ch_currency']=$get_datas['Items']['0']['Maximum']['SendCurrencyIso'];
$_SESSION['cr_ch_country']=$get_datas['Items']['0']['RegionCode'];

$_SESSION['cr_order_type']='m';

$_SESSION['operator']=$operator;
$_SESSION['operator_logo']=$operator_logo;
$_SESSION['order_type']='2';
$_SESSION['cr_m_step']='2';
redirect(base_url('checkout'));

}

function order_process_gift(){
$pro=$this->input->post('pro');
	if($pro =='playtogo'){
		redirect(base_url('index.php/main/coming-soon'));
	}
$sku=$this->input->post('sku');
$operator=$this->input->post('operator');
$operator_logo=$this->input->post('operator_logo');

// $get_datas=ding_API('GetProducts',"skuCodes=$sku",'','','');
$get_datas=peopliAPI('details',$pro);

// echo "<pre>";
// print_r($get_datas); die;

$_SESSION['cr_ch_SKU']=$sku;
$_SESSION['cr_ch_benif']=$get_datas['name'];
$_SESSION['cr_ch_dur']='';
$_SESSION['cr_ch_cost']=$get_datas['taglio'];
$_SESSION['cr_ch_currency']='Eur';
$_SESSION['cr_ch_country']='IT';

$_SESSION['operator']=$operator;
$_SESSION['operator_logo']=$operator_logo;

$_SESSION['order_type']='3';
$_SESSION['cr_m_step']='2';
$_SESSION['cr_card']='G';
$_SESSION['cr_order_type']='G';

redirect(base_url('checkout'));
}

function checkout_email(){
		$order_id=$_SESSION['order_id'];
		$amount=$_SESSION['cr_ch_cost'];
		$benif=$_SESSION['cr_ch_benif'];
		$provider=$_SESSION['operator'];
		@$type=$_SESSION['cr_order_type'];
		$phone=@$_SESSION['cr_phone'];

		$currency=@$_SESSION['cr_ch_currency'];
		$user_country=@$_SESSION['cr_ch_country'];
		$cr_token=@$_SESSION['cr_token'];
		$cr_ch_SKU=@$_SESSION['cr_ch_SKU'];
		
		$order_typ=@$_SESSION['phone'];
		$crypto_type=@$_SESSION['phone'];
		$pro_logo=@$_SESSION['operator_logo'];

		$email=$this->input->post('email');
		
		if(@$_SESSION['cr_order_type'] =='G'){
		@$phone=$this->input->post('phone'); 
		if($phone ==''){echo "Please add your phone number"; die; }
		$_SESSION['cr_phone']=$phone;
		}
		// check email

		// add to database the order id, emaiil
		$get_check_data=$this->db->query("select * from cr_orders where or_orid ='$order_id' ");
		$check_numdata=$get_check_data->num_rows();


		if($check_numdata =='0'){
			// echo 'sje'; die;
		$the_add_data=$this->db->query("insert into cr_orders (or_orid,or_email,or_amount,or_type,or_provider,or_benif,or_phone,or_date_created,or_status,currency,user_country,cr_token,cr_ch_SKU,pro_logo,cr_send_value) values ('$order_id','$email','$amount','$type','$provider','$benif','$phone',now(),'0','$currency','$user_country','$cr_token','$cr_ch_SKU','$pro_logo','0') ");
		}else{
			// echo 'sjess'; die;
			$the_add_data=$this->db->query("update cr_orders set or_email ='$email' where or_orid ='$order_id' ");
		}

				$cookie = array(
                    'name'   => 'cr_email',
                    'value'  => $email,
                    'expire' =>  865000,
                    'secure' => false
                );
                $this->input->set_cookie($cookie);

                $_SESSION['email_process']=$email;

		echo 'YNAPS_SUCCESS'; die;
		// send email
}

function check_payment(){
	$order_id=$_SESSION['order_id'];
	$checkpayments=$this->db->query("select or_status,receiver_BTC_add,or_crypto_type,Crypto_amount,or_amount from cr_orders where or_orid='$order_id' ");
	if($checkpayments->num_rows() == 0){
		echo '0';
	}else{
	$thedats=$checkpayments->row_array();
	if($thedats['or_status'] =='2'){echo $thedats['or_status']; }
	
	$thedatass=$checkpayments->row_array();
	if(!isset($_SESSION['try'])){ $_SESSION['try']='1'; }
	$try=$_SESSION['try'];

	if($thedatass['or_crypto_type'] =='BTC' || $thedatass['or_crypto_type'] =='ETH'){
	$checked=check_payment_status($thedatass['receiver_BTC_add'],$_SESSION['try'],$thedatass['Crypto_amount'],$thedatass['or_crypto_type']);
	echo $checked;
	}else{
		echo $thedats['or_status'];
	} $_SESSION['try']=$_SESSION['try']+1; }
}

function check_order(){
	$order_id=$_SESSION['order_id'];
	$checkpayments=$this->db->query("select benifit_status from cr_orders where or_orid='$order_id' ");
	if($checkpayments->num_rows() == 0){
		echo '-2';
	}else{
	$thedats=$checkpayments->row_array();
	switch($thedats['benifit_status']){
		case 'Complete':
		echo '1';
		break;
		case '':
		echo '0';
		break;case 'Submitted':
		echo '0';
		break;case 'Failed':
		echo '-1';
		break;
		default:
		echo '0'; die;
		break;
	}}
}

function update_pref(){
	$orid=$this->input->post('orid'); 
	$pref=$this->input->post('pref'); 
	$update_payment=$this->db->query("update cr_orders set or_wtd='$pref' where or_orid='$orid' ");
	echo 'YNAPS_SUCCESS'; die;
}

function add_payment(){
	$amount=$this->input->post('amount');
	if($amount !='0' && $amount !=''){
	$_SESSION['cr_ch_cost']=$amount;
	$_SESSION['cr_ch_currency']=$_SESSION['currency'];
	$_SESSION['operator']='Add Money';
	$_SESSION['cr_ch_country']=$_SESSION['cr_loc'];
	$_SESSION['order_type']='1';
	$_SESSION['cr_ch_benif']='Wallet top-up for '.$_SESSION['currency'].' '.$amount;
	redirect(base_url('checkout'));
	}else{
		redirect('app?add_money!0');
		// echo $amount;
	}
}

function payby_wallet(){
	$yid=$_SESSION['yid'];
	$getdaates=$this->db->query("select * from site_mem where mid='$yid' ");
    $thedaetsilas=$getdaates->row_array();
    $transactionId=$_SESSION['order_id'];
    
if($_SESSION['currency'] !='USD'){
$amount=convertCurrency($_SESSION['cr_ch_cost'],$_SESSION['cr_ch_currency'],$_SESSION['currency']);
}else{
$amount=$_SESSION['cr_ch_cost'];
}
$amount_usd=$_SESSION['cr_ch_cost'];

    $thebalance=$thedaetsilas['user_balance'];
    if($thebalance > $amount){
	$insert =$this->db->query("INSERT INTO auth_payments(transaction_id, amount, currency, payment_status,au_order_id,p_type) VALUES('-', '$amount_usd', 'USD', 'Captured','$transactionId','w')");

	$balance=balance($yid,'1');
	$ip=$this->input->ip_address();

	$addbalance=$this->db->query("insert into wal_txns (wx_from,wx_to,wx_amount,wx_date,wx_status,wx_ip,wx_bal_till_now,wx_order_id,wx_mid) values ('$yid','$yid','$amount',now(),'1','$ip','$balance','$transactionId','$yid') ");

	$update_balance=$this->db->query("update site_mem set user_balance=user_balance-$amount where mid='$yid' ");


	redirect(base_url('order_success'));
    }else{
    	echo "You do not have enough balance in your wallet"; die;
    }
}

function cashieradd(){
	if($_SESSION['user_type'] !='v' && $_SESSION['cashier'] !=''){echo "Error_0900s1"; die;}
	$username=$this->input->post('username'); 
	$name=$this->input->post('name'); 
	$pass=$this->input->post('pass'); 
	$limit=$this->input->post('limit'); 
	$theuser=$this->input->post('theuser'); 

	if($theuser =='0' || $theuser ==''){
	if($username !='' && $pass !=''){
		if(@$_SESSION['yid'] ==''){
			echo "Please refresh the page seems like some error"; die;
		}
		$yid=$_SESSION['yid'];
		$email=$_SESSION['email'];
		//check if useris unique
		$getcheck=$this->db->query("select * from sub_users where sb_vid='$yid' and sb_user='$username' ");
		if($getcheck->num_rows() !=0){
			echo "This is not a unique user name please select something else for this user."; die;
		}else{
			$pass=sha1($pass);
			$addthisuser=$this->db->query("insert into sub_users (sb_vid,sb_vemail,sb_user,sb_pass,sb_name,sb_limit,sb_ip) values ('$yid','$email','$username','$pass','$name','$limit','0') ");
			echo 'YNAPS_SUCCESS'; die;
		}
	} }else{

			$updatesis=$this->db->query("update sub_users set sb_name='$name', sb_limit='$limit' where sb_usid='$theuser' ");
			if($pass !=''){
				$pass=sha1($pass);
			$updatesis=$this->db->query("update sub_users set sb_pass='$pass' where sb_usid='$theuser' ");
			}
			echo 'YNAPS_SUCCESS'; die;
	}
}

function delete(){
	$data=$_GET['cas'];
	$id=$_GET['id'];
	$yid=$_SESSION['yid'];
	switch($data){
		case 'cashier':
		if($_SESSION['user_type'] !='v' && $_SESSION['cashier'] !=''){echo "Error_0900s2"; die;}
		$getcheck=$this->db->query("select * from sub_users where sb_usid='$id' and sb_vid='$yid' ");
		if($getcheck->num_rows() !='0'){
			$this->db->query("delete from sub_users where sb_usid='$id'");
			redirect(base_url('cashier-manage'));
		}else{
			redirect(base_url('?error=kls0s'));
		}
		break;
	}
}
// THE MAIN CONTROLER
}
