<?php  if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
* Name:  Ion Auth Model
*
* Version: 2.5.2
*
* Author:  Ben Edmunds
* 		   ben.edmunds@gmail.com
*	  	   @benedmunds
*
* Added Awesomeness: Phil Sturgeon
*
* Location: http://github.com/benedmunds/CodeIgniter-Ion-Auth
*
* Created:  10.01.2009
*
* Last Change: 3.22.13
*
* Changelog:
* * 3-22-13 - Additional entropy added - 52aa456eef8b60ad6754b31fbdcc77bb
*
* Description:  Modified auth system based on redux_auth with extensive customization.  This is basically what Redux Auth 2 should be.
* Original Author name has been kept but that does not mean that the method has not been modified.
*
* Requirements: PHP5 or above
*
*/

class ynaps_model extends CI_Model
{
	 public function signup($signup_data,$email){
	 	
	 }

	 function login($email,$pass){
	 	$pass=sha1($pass);

	 	 if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
	 	 	$query=$this->db->query("select * from site_mem where email='$email' and pass ='$pass' and user_status !='3' ");
	 	 }else{
	 	 		$query=$this->db->query("select * from site_mem where contact='$email' and pass ='$pass' and user_status !='3' ");
	 	 }
	 	
	 	if($query ->num_rows() =='1'){
	 		$dats_op=$query->row_array();
	 			@session_start();
                $_SESSION['yid']=$dats_op['mid'];
                $_SESSION['name']=$dats_op['name'];
            	$_SESSION['email']=$dats_op['email'];
                $_SESSION['phone']=$dats_op['contact'];
                $_SESSION['verify']=$dats_op['verify'];
                $_SESSION['profile']=$dats_op['photo'];
                $_SESSION['plan']=$dats_op['user_plan'];
                $_SESSION['user_balance']=$dats_op['user_balance'];
                $_SESSION['user_type']=$dats_op['user_type'];

                

                $this->load->helper('cookie');
					$cookie = array(
                    'name'   => 'YN-REM-US',
                    'value'  => $dats_op['mid'],
                    'expire' =>  865000,
                    'secure' => false
               	);
       			 $this->input->set_cookie($cookie);


                $thelist=get_country_details($dats_op['user_country'],'1','1');
                $user_currency=$thelist['currencies']['0']['symbol'];
                $user_currency_2=$thelist['currencies']['0']['code'];
                $_SESSION['currency_code']=$user_currency;
                $_SESSION['currency']=$user_currency_2;
                            
	 		return true;
	 	}else{
	 		return false;
	 	}
	 }

	 function loginv($email,$pass,$sb_mail){
	 	$pass=sha1($pass);
	 	 		
	 	 $query=$this->db->query("select * from site_mem,sub_users where sb_user='$email' and sb_pass ='$pass' and sb_vemail='$sb_mail' and user_status !='3' and sb_vid=mid ");
	 	if($query ->num_rows() =='1'){
	 		$dats_op=$query->row_array();
	 			@session_start();
                $_SESSION['yid']=$dats_op['mid'];
                $_SESSION['name']=$dats_op['name'];
            	$_SESSION['email']=$dats_op['email'];
                $_SESSION['phone']=$dats_op['contact'];
                $_SESSION['verify']=$dats_op['verify'];
                $_SESSION['profile']=$dats_op['photo'];
                $_SESSION['plan']=$dats_op['user_plan'];
                $_SESSION['user_balance']=$dats_op['user_balance'];
                $_SESSION['user_type']=$dats_op['user_type'];
                $_SESSION['cashier']=$dats_op['sb_user'];

                

     //            $this->load->helper('cookie');
					// $cookie = array(
     //                'name'   => 'YN-REM-US',
     //                'value'  => $dats_op['mid'],
     //                'expire' =>  865000,
     //                'secure' => false
     //           	);
     //   			 $this->input->set_cookie($cookie);


                $thelist=get_country_details($dats_op['user_country'],'1','1');
                $user_currency=$thelist['currencies']['0']['symbol'];
                $user_currency_2=$thelist['currencies']['0']['code'];
                $_SESSION['currency_code']=$user_currency;
                $_SESSION['currency']=$user_currency_2;
                            
	 		return true;
	 	}else{
	 		return false;
	 	}
	 }

	 function getprofile_data($data,$user){
	 	$getdata=$this->db->query("select $data from site_mem where mid='$user' ");
	 	return $getdata->row_array();
	 }

function get_location_ynaps($style,$data){
	switch($style){
		case '1':
			$loca=$this->db->query("select city_name,state_name,country_name from site_cities c,site_states s,site_countries cu where (c.city_id='$data' and c.state_id=s.state_id and s.country_id=cu.country_id) ");
			$theresul=$loca->row_array();
			return $theresul;
		break;
	}
}


// ////
}