<?php  include_once('inc/section.php'); ?>
    <div class='container-fluid p-2 p-sm-5' style="max-width: 700px !important;background: #fff;">
    	<div class="col-12 themains_linksfaq p-0 pb-5">
    	<img src="<?=base_url('assets/avator')?>/logo.png" alt="" style='height:40px;margin-left: -10px !important;' class='ml-0 pl-0 mb-3'>

    		<h4>General</h4>
    		<a href="#thewhat1"> What is BiTopUp? </a><br/>
			<a href="#thewhat2">When is my order delivered?</a><br/>
			<a href="#thewhat3">What is our refund policy?</a><br/>
			<a href="#thewhat4">How fast does Customer Service reply?</a><br/>
			<a href="#thewhat5">Do I need a BiTopUp Account?</a><br/><br/>

			<h4>Digital Gift Cards</h4>
<a href="#thewhat6">How do I use this service?</a><br/>
<a href="#thewhat7">Where do they work?</a><br/>
<a href="#thewhat8">Is there a buy limit?</a><br/><br/>
<h4>Prepaid Mobile Refills</h4>
<a href="#thewhat9">How do I use this service?</a><br/>
<a href="#thewhat11">How quickly do I get the recharge?</a><br/>
<a href="#thewhat12">Does it work if I'm roaming?</a><br/>
<a href="#thewhat13">Does it work with post-paid?</a><br/>
<a href="#thewhat14">Are there limits on how much I can send?</a><br/>

<h4>Bitcoin</h4>
<a href="#thewhat15">How do I acquire bitcoin?</a><br/>
<a href="#thewhat16">Which wallets does it work with?</a><br/>
<a href="#thewhat17">My Bitcoin transaction is not confirming! What should I do?</a><br/>
<a href="#thewhat18">Is my bitcoin safe?</a><br/>
    	</div>

			<h4>General</h4>
<b id="thewhat1">What is BiTopUp?</b>
<p>BiTopUp provides products and services that allow anyone to live on cryptocurrency more easily. BiTopUp.com provides a catalog of gift cards, prepaid mobile refills, and Lightning networking services that can be purchased using Bitcoin and other cryptocurrencies worldwide. By using Bitcoin and Lightning Network technology we provide a safe and private user experience with fast digital delivery to anywhere in the world. You only need to provide an email address to receive a receipt, voucher codes if applicable, and customer service.</p>

<b id="thewhat2">When is my order delivered?</b>
<p>Your orders are delivered as soon as payment is secured. Payments are accepted instantly when utilizing the Lightning Network. Bitcoin transactions valued at less than $200 with a sufficient transaction fee, and Dash Instasend transactions are also able to be processed instantly. Other transaction types and cryptocurrencies may require more network confirmations before payment is accepted and your order is delivered.</p>

<b id="thewhat3">What is our refund policy?</b>
<p>If an order has failed to be delivered (this, unfortunately, does happen sometimes due to operator issues), we will refund the cryptocurrency paid as soon as we can, after you send us a refund address. If you haven't received your refill or voucher code, please email us at support@BiTopUp.com, or respond to your receipt email and we will check into it. Please provide all useful order info that you have (order ID, email address, or the phone number you are topping up)
Note: if an order has been delivered successfully we are unable to cancel it. So please make sure you're sending to the right number/email. We cannot refund successfully delivered voucher codes; please ensure you are ordering the correct product!</p>

<b id="thewhat4">How fast does Customer Service reply?</b>
<p>We usually reply within a few hours, but please allow up to 24 hours. If you have submitted a support request to support@BiTopUp.com, you do not need to try to contact us in social media or other places. We work hard to support customers as quickly and effectively as possible!</p>

<b id="thewhat5">Do I need a BiTopUp Account?</b>
<p>We do not require you to create an account with us to shop, but we do provide this as an option. Registering a BiTopUp account allows you to keep a balance with us, which can be used to purchase any of our offered products or services without having to pay blockchain transaction fees, and without having to wait for payment confirmation. This is a great option for recurring customers that want to save on fees when making frequent purchases.</p>

<p>Creating an account also allows you to add two-factor authentication, review your order history, and participate in our referral & loyalty programs.

A customer may request a refund of any unused amounts in their account balance. This may take up to 24 hours to process.</p>

<h4>Digital Gift Cards</h4>
<b id="thewhat6">How do I use this service?</b>
<p>Select the product, denomination, payment method, and pay with your favorite wallet. You will receive a receipt email with your Gift Card code/PIN, typically within 0 to 10 minutes.</p>

<b id="thewhat7">Where do they work?</b>
<p>Some vouchers work worldwide, some are region-specific, some are country-specific, some are currency specific. You should always check the issuing business website and terms before purchase. If you are not sure if a voucher works in your area, contact customer service.</p>

<b id="thewhat8">Is there a buy limit?</b>
<p>Yes, there are daily limits, depending on the product category. Some limits can be increased upon verification of the user account.</p>

<h4>Prepaid Mobile Refills</h4>
<b id="thewhat9">How do I use this service?</b>
<p>Type in your phone number, pick a package, payment method, and pay.</p>
<br/>
We have some video instructions made by our users.<br/>

<b id="thewhat11">How quickly do I get the recharge?</b>
<p>As soon as the transaction payment is fully confirmed, sometimes instantly, we will send out the refill automatically. Once it's been sent you'll get a receipt email, and the top up should arrive instantly.</p>

<p>This is the case in most countries, but in some, there may be delays of up to 24 hours. If you haven't received a refill you can always reply to the receipt email we sent you and our customer service team will investigate the order.</p>

<b id="thewhat12">Does it work if I'm roaming?</b>
<p>Yes, it doesn't matter which country you are in, the amount will be credited instantly anyway.</p>

<b id="thewhat13">Does it work with post-paid?</b>
<p>In most cases it doesn't, only with prepaid. But if you type in your number and it says that it's supported you can try, and if there is an error we will work to quickly refund your payment, according to our Refund Policy.</p>

<b id="thewhat14">Are there limits on how much I can send?</b>
<p>There are limits of around 100 USD or equivalent per phone number per day. Higher than that and you could get transaction errors. If there are transaction errors we will work to quickly refund your bitcoin back to you, according to our Refund Policy.</p>

<h4>Bitcoin</h4>
<b id="thewhat15">How do I acquire bitcoin?</b>
<p>Most people buy it from online exchanges, and there are many ways to do it with different payment methods in different countries.</p>

<b id="thewhat16">Which wallets does it work with?</b>
<p>BiTopUp works with all Bitcoin wallets. We don't endorse any specific wallets, but here is a great resource on how to choose a bitcoin wallet. There are also wallets listed here at Bitcoin.org</p>

<b id="thewhat17">My Bitcoin transaction is not confirming! What should I do?</b>
<p>Sometimes during high load on the Bitcoin network, and especially with obsolete wallets that don't use proper fee estimations, transactions don't confirm quickly. Your money is completely safe during this time - if your transaction hasn't confirmed yet, the bitcoins will appear in your wallet again when it does.</p>

<p>If you included a high enough fee (we tell you the minimum at the payment screen), orders under $200 will be delivered immediately without waiting for a confirmation.</p>

<b id="thewhat18">In order to avoid these problems, we recommend:</b>

<p>Use updated wallets that support Segwit addresses and are good at fee estimation.</p>

<p>Use the Lightning Network, a payment protocol for bitcoin that allows instant transactions at close-to-zero cost, and you will get a 2% extra discount on any orders at BiTopUp!. Learn about some Lightning wallets here.</p>

<p>Use a BiTopUp account, where you can prepay a balance and do multiple purchases instantly and without fee.</p>

<p>Read this guide about managing transaction fees and stuck transactions.</p>

<b id="thewhat19">Is my bitcoin safe?</b>
<p>We can never access your bitcoin beyond the coins that you send us. Your bitcoins are as safe as the wallet you use and your own security practices.</p>

<b id="thewhat20">Why is there a 15-minute countdown timer on the order?</b>
<p>The Bitcoin price is volatile. When we quote a price in BTC we can only honor that price for 15 minutes - after which time the Bitcoin exchange rate will have changed. If your order expired, don’t worry! Simply reload the page and you'll get a new order, with an updated 15-minute payment window.</p>

<b id="thewhat21">Will BiTopUp add support for my favorite altcoin / cryptocurrency / token?</b>
<p>BiTopUp currently supports some altcoins, but our current priorities are to grow our product catalog and Lightning Network services. We do not have short-term plans to natively support additional cryptocurrencies. If we add new coins in the future, we will prioritize by the size of the user base.</p>

<b id="thewhat22">What can I buy with Bitcoin?</b>
<p>Bitcoin can be used to buy nearly anything by anyone. Some are digital nomads, some are unbanked, some earn bitcoin but don’t have a local exchange. There are many reasons our customers shop with us. Bitcoin can be used at BiTopUp.com to top up your mobile phone, pay your bills, and buy Gift Cards for thousands of retailers worldwide. Here is a list of some retailers and businesses that accept BTC directly as a payment method.</p>

<b id="thewhat23">How do I buy Steam games with Bitcoin?</b>
<p>Buying games from Steam with bitcoin is easy. First, request an order for a Steam gift card voucher at BiTopUp.com. Send the payment from your Bitcoin wallet to the address provided. You’ll receive a digital code that you can redeem on your Steam account.The funds will instantly appear in your Steam wallet.</p>
    </div>
