        <div class="container">
            <?php if($profile_data['user_status'] =='0'){ ?>
             <div class="col-12 p-0 mt-4 h-190">
                    <div class="card shadow-sm border-0 mb-3 bg-danger text-white">
                        <div class="card-header">
                            <div class="row">
                                <div class="col">
                                    <h5 class="card-title text-white">Phone Not verified</h5>
                                </div>
                            </div>
                        </div>
                        <div class="card-body text-white">
                            <p class="mb-0 f-sm">your phone number is not verified yet, please verify your phone before proceeding further.</p>
                        </div>
                        <div class="card-footer">
                            <a href="<?=base_url('otp?send=otp')?>"><button class="btn btn-primary btn-sm"> Verify Phone</button></a>
                        </div>
                    </div>
                </div>
            <?php }else if($profile_data['user_status'] =='3'){ ?>
                <div class="p-2 bg-danger my-3">
                    <small>
                    <b>Attention <span class="fa fa-info-circle mr-2"></span> </b>
                    your account went for review, please contact us for more details. you can still use your funds to make any order. you cant sent receive or load new funds.</small>

                </div>
            <?php } ?>

            <div class="card bg-template shadow mt-4 h-190">
                <div class="card-body">
                    <div class="row">
                        <div class="col-auto">
                            <figure class="avatar avatar-60">
                                <img src="<?=base_url('assets')?>/mem/<?=$profile_data['mid']?>/img/<?=$profile_data['photo']?>" alt=""></figure>
                        </div>
                        <div class="col pl-0 align-self-center">
                            <h5 class="mb-1"><?=$profile_data['name']?> <img src="https://www.countryflags.io/<?=$profile_data['user_country']?>/flat/16.png" class='ml-2' > </h5>
                            <p class="text-mute small"><?=$profile_data['email']?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="container top-100">
            <div class="card mb-4 shadow">
                <div class="card-body border-bottom">
                    <div class="row">
                        <div class="col">
                            
                            <h3 class="mb-0 font-weight-normal"><?=@$_SESSION['currency_code']?> <?=format_this($profile_data['user_balance'],'money','2')?></h3>
                            <p class="text-mute">My Balance</p>
                        </div>
                        <div class="col-auto">
                            <button class="btn btn-default btn-rounded shadow" style="border-radius: 50%;width:50px;height: 50px;" data-toggle="modal" data-target="#addmoney"><i class="material-icons fa fa-plus"></i></button>

                            <!-- <a href="" class="swiper-slide text-center" data-toggle="modal" data-target="#paymodal">
                            <div class="avatar avatar-60 no-shadow border-0">
                                <div class="overlay bg-template"></div>
                                <i class="material-icons text-template">send</i>
                            </div>
                        </a> -->
                        </div>
                    </div>
                </div>
                <div class="card-footer bg-none">
                    <div class="row">
                        <div class="col-12">
                            <small>
                            <?php 
                            if($_SESSION['user_type'] =='v' && @$_SESSION['cashier'] !=''){
                                echo "Business Account as user ".$_SESSION['cashier'];
                            }else if($_SESSION['user_type'] =='v' && @$_SESSION['cashier'] ==''){
                                echo "Business Account";
                            }else{
                                echo "User Account";
                            }
                            ?>
                            </small>
                        </div>
                        <div class="col text-right">
                            <!-- <p> <?=@$_SESSION['currency_code']?> <?=format_this(@$_SESSION['inc_pro'],'money','2')?> <i class="material-icons text-danger vm small">arrow_downward</i><br><small class="text-mute">Income</small></p> -->
                        </div>
                        <div class="col border-left-dotted">
                            <!-- <p><i class="material-icons text-success vm small mr-1">arrow_upward</i> <?=@$_SESSION['currency_code']?> <?=format_this(@$_SESSION['inc_exp'],'money','2')?><br><small class="text-mute">Expense</small></p> -->
                        </div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="container">
            <h6 class="subtitle">Services</h6>
            <div class="row ">
                <div class="container px-0">
                    <!-- Swiper -->
                    <div class="swiper-container offer-slide">
                        <div class="swiper-wrapper">
                            <div class="swiper-slide pb-3">
                                <div class="card shadow border-0">
                                    <div class="card-body">
                                        <a href="<?=base_url('recharge')?>" class='no_link' > 
                                            <div class="row h-100">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-60 no-shadow border-0">
                                                    <div class="overlay gradient-danger"></div>
                                                    <i class="material-icons text-danger fa fa-mobile"></i>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <b>Mobile Topup</b>
                                                <p class="text-secondary text-mute small">Recharge any phone number using your wallet balance or using your card.</p>
                                            </div>
                                        </div>
                                    </a>
                                    </div>
                                </div>
                            </div>
                            <div class="swiper-slide">
                                <div class="card shadow border-0">
                                    <div class="card-body">
                                        <a href="<?=base_url('gift-cards')?>" class='no_link' > 
                                            <div class="row h-100">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-60 no-shadow border-0">
                                                    <div class="overlay gradient-success"></div>
                                                    <i class="material-icons text-success">pets</i>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <b>Gift Cards</b>
                                                <p class="text-secondary text-mute small">Due to long illness and food infection medical treatment undergone 3 days</p>
                                            </div>
                                        </div>
                                    </a>
                                    </div>
                                </div>
                            </div>
                            <div class="swiper-slide">
                                <div class="card shadow border-0">
                                    <div class="card-body">
                                        <a href="#" class="no_link" data-toggle="modal" data-target="#paymodal">
                                            <div class="row h-100">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-60 no-shadow border-0">
                                                    <div class="overlay gradient-warning"></div>
                                                    <i class="material-icons text-warning">send</i>
                                                </div>
                                            </div>
                                            <div class="col">
                                                <b>Transfer Money</b>
                                                <p class="text-secondary text-mute small">Way ahead of the decided to go, more distance more money wasted these days</p>
                                            </div>
                                        </div>
                                    </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="swiper-pagination"></div>
                    </div>
                </div>
            </div>
        </div>
        
        <div class="container">
            <h6 class="subtitle">Transaction History <a href="<?=base_url('transactions')?>" class="float-right small">View All</a></h6>
            <div class="row">
                <div class="col-12 px-0">
                    <ul class="list-group list-group-flush border-top border-bottom">
                        <?php foreach($txns_all as $transactions){ ?>

                            <?php switch($transactions['or_type']){
                                // 1=add money,2= mobile topup, 3=gift cards, 4= DTH, 5 pay, 6 others
                                case '1': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=base_url('assets/avator/logo2.png')?>" class='the_simshjs78ss' >
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Wallet Top-up</h6>
                                                <p class="small text-black">
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                    <?php if($transactions['wx_to'] == $_SESSION['yid'] ){  ?>
                                                <h6 class="text-success"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> CR </h6>
                                                    <?php }else{ ?>
                                                        <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                    <?php } ?>
                                                    <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;
                                case '2': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=$transactions['pro_logo']?>" style='width:auto !important; height:40px;' >
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Mobile Top-up</h6>
                                                <p class="small text-black">
                                                    <small><span class="fa fa-mobile mr-2"></span> +<?=($transactions['or_phone'])?></small> <br/>
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;
                                case '3': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=$transactions['pro_logo']?>" style='width:auto !important; height:40px;' >
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Gift Card</h6>
                                                <p class="small text-black">
                                                    <small><span class="fa fa-apple mr-2"></span><?=($transactions['or_provider'])?></small> <br/>
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;

                                case '5': if($transactions['wx_from'] == $_SESSION['yid'] ){ 
                                    $mid_e=$transactions['wx_to'];
                                    $getuser_details=$this->db->query("select * from site_mem where mid ='$mid_e' ");
                                    $new_sgdtyd=$getuser_details->row_array();
                                    ?>
                                    <li class="list-group-item">
                            <div class="row align-items-center">
                                <div class="col-auto pr-0">
                                    <div class="avatar avatar-50 no-shadow border-0">
                                        <img src="<?=base_url('assets/mem/')?><?=$new_sgdtyd['mid']?>/img/<?=$new_sgdtyd['photo']?>" alt="">
                                    </div>
                                </div>
                                <div class="col align-self-center pr-0">
                                    <h6 class="font-weight-normal mb-1">Sent to: <?=$new_sgdtyd['name']?></h6>
                                    <p class=" small text-secondary">
                                        <small><span class="fa fa-mobile"></span> ****<?=substr($new_sgdtyd['contact'],4)?></small> <br/>
                                        <span class="fa fa-calendar-alt"></span> <?=date_format_1($transactions['wx_date'],'t')?><br/>
                                       <small>Order id: <?=$transactions['wx_order_id']?><br/>
                                           Note: <?=$transactions['wx_comments']?>
                                       </small> 
                                    </p>
                                </div>
                                <div class="col-auto">
                                    <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                    <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                </div>
                            </div>
                        </li>
                                <?php } else{ ?>
                        <li class="list-group-item">
                            <div class="row align-items-center">
                                <div class="col-auto pr-0">
                                    <div class="avatar avatar-50 no-shadow border-0">
                                        <img src="<?=base_url('assets/mem/')?><?=$transactions['mid']?>/img/<?=$transactions['photo']?>" alt="">
                                    </div>
                                </div>
                                <div class="col align-self-center pr-0">
                                    <h6 class="font-weight-normal mb-1">Received from: <?=$transactions['name']?></h6>
                                    <p class=" small text-secondary">
                                        <small><span class="fa fa-mobile"></span> ****<?=substr($transactions['contact'],4)?></small> <br/>
                                        <span class="fa fa-calendar-alt"></span> <?=date_format_1($transactions['wx_date'],'t')?><br/>
                                       <small>Order id: <?=$transactions['wx_order_id']?></small> 
                                    </p>
                                </div>
                                <div class="col-auto">
                                    <h6 class="text-success"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> CR </h6>
                                </div>
                            </div>
                        </li>
                                <?php } break; } ?>
                        <?php if($_SESSION['user_type'] =='v'){ ?>
                        <div class="col-12 theinsdjd">
                            <small>Order sent by <?=$transactions['or_cashier']?></small>
                        </div>
                        <?php } } ?>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container">
            <!-- <h6 class="subtitle">Friends</h6>
            <div class="row mb-4">
                <div class="col-12">
                    <figure class="avatar avatar-50">
                        <img src="<?=base_url('assets/theme/')?>img/user2.png" alt="">
                    </figure>
                    <figure class="avatar avatar-50">
                        <img src="<?=base_url('assets/theme/')?>img/user3.png" alt="">
                    </figure>
                    <figure class="avatar avatar-50">
                        <img src="<?=base_url('assets/theme/')?>img/user4.png" alt="">
                    </figure>
                    <figure class="avatar avatar-50">
                        <img src="<?=base_url('assets/theme/')?>img/user1.png" alt="">
                    </figure>
                    <div class="avatar avatar-50">
                        <a class="d-block" href="">
                            <h5 class="text-template mb-0">46</h5>
                            <p class="small d-block text-secondary">More</p>
                        </a>
                    </div>
                </div>
            </div> -->

            <?php if($_SESSION['user_type'] =='v' && !@$_SESSION['cashier']){ ?>
        <div class="row">
            <div class="col-6">
            <a href="<?=base_url('edit')?>" class="btn btn-lg btn-default btn-block btn-rounded shadow mt-3"><span>Edit Profile</span></a>
            </div>

            <div class="col-6">
            <a href="<?=base_url('cashier')?>" class="btn btn-lg btn-default btn-block btn-rounded shadow mt-3"><span>Add Cashier</span></a>
            </div>
        </div>
    <?php }else if($_SESSION['user_type'] !='v'){ ?>
            <a href="<?=base_url('edit')?>" class="btn btn-lg btn-default btn-block btn-rounded shadow mt-3"><span>Edit Profile</span></a>
    <?php } ?>


            <div class="col-12 my-5 text-center">
                <b>Get Paid using your QR</b>
                <p> Show or share this QR with your friends or payer to receive funds</p>
                <center><img src="https://chart.googleapis.com/chart?chs=200x200&cht=qr&chl=<?=base_url('pay/')?><?=$_SESSION['yid']?>/<?=$_SESSION['phone']?>"></center>
            </div>

            <br>
        </div>
        