

        <div class="container">
            <div class="card bg-template shadow mt-4">
                <div class="card-body">
                    <div class="row">
                        <div class="col-auto">
                            <figure class="avatar avatar-60"><img src="<?=base_url('assets')?>/mem/<?=@$_SESSION['yid']?>/img/<?=@$_SESSION['profile']?>" alt=""></figure>
                        </div>
                        <div class="col pl-0 align-self-center">
                            <h5 class="mb-1"><?=@$_SESSION['name']?></h5>
                            <p class="text-mute small"><?=@$_SESSION['email']?></p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
       
        
        <div class="container">
            <h6 class="subtitle">Transaction History </h6>
            <div class="row">
                <div class="col-12 px-0">
                   <ul class="list-group list-group-flush border-top border-bottom">
                        <?php foreach($txns_all as $transactions){ ?>

                            <?php switch($transactions['or_type']){
                                // 1=add money,2= mobile topup, 3=gift cards, 4= DTH, 5 pay, 6 others
                                case '1': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=base_url('assets/avator/logo2.png')?>">
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Wallet Top-up</h6>
                                                <p class="small text-black">
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                    <?php if($transactions['wx_to'] == $_SESSION['yid'] ){  ?>
                                                <h6 class="text-success"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> CR </h6>
                                                    <?php }else{ ?>
                                                        <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                    <?php } ?>
                                                    <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;
                                case '2': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=$transactions['pro_logo']?>" style='width:auto !important; height:40px;' >
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Mobile Top-up</h6>
                                                <p class="small text-black">
                                                    <small><span class="fa fa-mobile mr-2"></span> +<?=($transactions['or_phone'])?></small> <br/>
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;
                                case '3': ?>
                                    <li class="list-group-item">
                                        <div class="row align-items-center">
                                            <div class="col-auto pr-0">
                                                <div class="avatar avatar-50 no-shadow border-0">
                                                    <img src="<?=$transactions['pro_logo']?>" style='width:auto !important; height:40px;' >
                                                </div>
                                            </div>
                                            <div class="col align-self-center pr-0 the_suiskd">
                                                <h6 class="font-weight-normal mb-1">Gift Card</h6>
                                                <p class="small text-black">
                                                    <small><span class="fa fa-apple mr-2"></span><?=($transactions['or_provider'])?></small> <br/>
                                                    <span class="fa fa-calendar-alt"></span><?=date_format_1($transactions['wx_date'],'t')?><br/>
                                                   <small>Order id: <?=format_this($transactions['wx_order_id'],'s','2')?></small> 
                                                </p>
                                            </div>
                                            <div class="col-auto">
                                                <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                                <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                            </div>
                                        </div>
                                    </li>
                                <?php break;

                                case '5': if($transactions['wx_from'] == $_SESSION['yid'] ){ 
                                    $mid_e=$transactions['wx_to'];
                                    $getuser_details=$this->db->query("select * from site_mem where mid ='$mid_e' ");
                                    $new_sgdtyd=$getuser_details->row_array();
                                    ?>
                                    <li class="list-group-item">
                            <div class="row align-items-center">
                                <div class="col-auto pr-0">
                                    <div class="avatar avatar-50 no-shadow border-0">
                                        <img src="<?=base_url('assets/mem/')?><?=$new_sgdtyd['mid']?>/img/<?=$new_sgdtyd['photo']?>" alt="">
                                    </div>
                                </div>
                                <div class="col align-self-center pr-0">
                                    <h6 class="font-weight-normal mb-1">Sent to: <?=$new_sgdtyd['name']?></h6>
                                    <p class=" small text-secondary">
                                        <small><span class="fa fa-mobile"></span> ****<?=substr($new_sgdtyd['contact'],4)?></small> <br/>
                                        <span class="fa fa-calendar-alt"></span> <?=date_format_1($transactions['wx_date'],'t')?><br/>
                                       <small>Order id: <?=$transactions['wx_order_id']?></small> 
                                    </p>
                                </div>
                                <div class="col-auto">
                                    <h6 class="text-danger"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> DR </h6>
                                    <small class="p-1 pills_w">Paid By: <?=payby($transactions['or_paidby'])?></small>
                                </div>
                            </div>
                        </li>
                                <?php } else{ ?>
                        <li class="list-group-item">
                            <div class="row align-items-center">
                                <div class="col-auto pr-0">
                                    <div class="avatar avatar-50 no-shadow border-0">
                                        <img src="<?=base_url('assets/mem/')?><?=$transactions['mid']?>/img/<?=$transactions['photo']?>" alt="">
                                    </div>
                                </div>
                                <div class="col align-self-center pr-0">
                                    <h6 class="font-weight-normal mb-1">Received from: <?=$transactions['name']?></h6>
                                    <p class=" small text-secondary">
                                        <small><span class="fa fa-mobile"></span> ****<?=substr($transactions['contact'],4)?></small> <br/>
                                        <span class="fa fa-calendar-alt"></span> <?=date_format_1($transactions['wx_date'],'t')?><br/>
                                       <small>Order id: <?=$transactions['wx_order_id']?></small> 
                                    </p>
                                </div>
                                <div class="col-auto">
                                    <h6 class="text-success"><?=@$_SESSION['currency_code']?> <?=format_this($transactions['wx_amount'],'money','2')?> CR </h6>
                                </div>
                            </div>
                        </li>
                                <?php } break;


                            } ?>
                        <?php } ?>
                    </ul>
                </div>
            </div>
        </div>
        <div class="container">
            <a href="<?=base_url('profile')?>" class="btn btn-lg btn-default btn-block btn-rounded shadow mt-3"><span>Visit Profile</span></a>
            <br>
        </div>
        