<!doctype html>
<html lang="en" class="deeppurple-theme">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no, viewport-fit=cover, user-scalable=no">
    <meta name="description" content="">
    <meta name="author" content="Max">
    <link rel='icon' href="<?=base_url('assets/avator/favicon.png')?>" type='image/x-icon'>
    <!-- Material design icons CSS -->
    <link rel="stylesheet" href="<?=base_url('assets/theme/')?>vendor/materializeicon/material-icons.css">
    <!-- Roboto fonts CSS -->
    <link href="https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap" rel="stylesheet">
    <!-- Bootstrap core CSS -->
    <link href="<?=base_url('assets/theme/')?>vendor/bootstrap-4.4.1/css/bootstrap.min.css" rel="stylesheet">
    <!-- Swiper CSS -->
    <link href="<?=base_url('assets/theme/')?>vendor/swiper/css/swiper.min.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="<?=base_url('assets/theme/')?>css/style.css" rel="stylesheet">

<link rel='stylesheet' type='text/css' href='<?=base_url('assets/addons/popup/sweetalert.css')?>'>
<link rel='stylesheet' type='text/css' href='<?=base_url('assets/css/ynaps_style.css')?>'>
<link rel='stylesheet' type='text/css' href='https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css'>
<script src="https://kit.fontawesome.com/a4ddad7fd6.js" crossorigin="anonymous"></script>

<title><?=$seo_title?></title>

<meta property='og:image' content='<?=$seo_image?>' />
<meta property='og:description' content='<?=$seo_description?>' />

<meta name='keywords' content='<?=$seo_keywords?>' />
<meta property='og:title' content='<?=$seo_title?>' />
<meta property='og:site_name' content='<?=$site_name?>' />

<meta itemprop='name' content='<?=$site_name?>' />
<meta itemprop='description' content='<?=$seo_description?>' />
<meta property='og:title' content='<?=$seo_title?>' />
<meta itemprop='image' content='<?=$seo_image?>' />

<meta name='twitter:card' content='<?=$seo_image?>' />
<meta name='twitter:url' content='<?=$site_name?>' />
<meta name='twitter:title' content='<?=$seo_title?>' />
<meta name='twitter:description' content='<?=$seo_description?>' />
<meta name='twitter:image' content='<?=$seo_image?>' />
</head>

<?=$GA?>
<?=$f?>
<?=$f2?>
<?=$chat?>

</head>

<body>
    <!-- Loader -->
    <!-- <div class="row no-gutters vh-100 loader-screen">
        <div class="col align-self-center text-white text-center">
            <img src="<?=base_url('assets/avator/logo.png')?>" alt="logo" style='width:auto;height:60px;'>
            <h1 class="mt-3"><span class="font-weight-light "></span>E-Click</h1>
            <p class="text-mute text-uppercase small">Real Time Payments</p>
            <div class="laoderhorizontal">
                <div></div>
                <div></div>
                <div></div>
                <div></div>
            </div>
        </div>
    </div> -->
    <!-- Loader ends -->

    <!-- sidebar -->
    <div class="sidebar">
        <div class="mt-4 mb-3">
            <?php if(isset($_SESSION['yid']) && $_SESSION['yid'] !='' ){ ?>
                <div class="row">
                <div class="col-auto">
                    <figure class="avatar avatar-60">
                        <img src="<?=base_url('assets')?>/mem/<?=@$_SESSION['yid']?>/img/<?=@$_SESSION['profile']?>" alt="" >
                    </figure>
                </div>
                <div class="col pl-0 align-self-center">
                    <h5 class="mb-1"><?=$_SESSION['name']?></h5>
                    <p class="text-mute small"><?=@$_SESSION['email']?></p>
                </div>
            </div>
        <?php }else{ ?>
            <div class="row">
                <div class="col-auto">
                    <!-- <figure class="avatar avatar-30 border-0"><img src="<?=base_url('assets/avator/favicon.png')?>" alt="" class='mt-2' style='height:30px; width: auto;' ></figure> -->
                </div>
                <div class="col pl-0 align-self-center">
                    <h5 class="mb-1"><?=$site_name?></h5>
                    <p class="text-mute small"></p>
                </div>
            </div>
        <?php } ?>
        </div>
        <div class="row">
            <?php if(isset($_SESSION['yid']) && $_SESSION['yid'] !='' ){ ?>
            <div class="col">
                <div class="list-group main-menu">
                    <a href="<?=base_url()?>" class="list-group-item list-group-item-action active"><i class="material-icons icons-raised"><span class="fa fa-home"></span></i>Home</a>
                    <a href="<?=base_url('transactions')?>" class="list-group-item list-group-item-action"><i class="material-icons icons-raised"><span class="fa fa-receipt"></i>Transactions</a>
                    <a href="javascript:void(0)" class="list-group-item list-group-item-action" data-toggle="modal" data-target="#colorscheme"><i class="material-icons icons-raised"><span class="fa fa-adjust"></span></i>Preferences</a>
                    <a href="<?=base_url('logout')?>" class="list-group-item list-group-item-action"><i class="material-icons icons-raised bg-danger"><span class="fa fa-sign-out-alt"></span></i>Logout</a>
                </div>

                <div class="col-12" style="margin-top: 20px;">
            <a href="#" onclick="doGTranslate('pt|en');return false;" title="English" class="gflag nturl" style="background-position:-0px -0px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="English" /></a><a href="#" onclick="doGTranslate('pt|fr');return false;" title="French" class="gflag nturl" style="background-position:-200px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="French" /></a><a href="#" onclick="doGTranslate('pt|de');return false;" title="German" class="gflag nturl" style="background-position:-300px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="German" /></a><a href="#" onclick="doGTranslate('pt|it');return false;" title="Italian" class="gflag nturl" style="background-position:-600px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Italian" /></a><a href="#" onclick="doGTranslate('pt|pt');return false;" title="Portuguese" class="gflag nturl" style="background-position:-300px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Portuguese" /></a><a href="#" onclick="doGTranslate('pt|ru');return false;" title="Russian" class="gflag nturl" style="background-position:-500px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Russian" /></a><a href="#" onclick="doGTranslate('pt|es');return false;" title="Spanish" class="gflag nturl" style="background-position:-600px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Spanish" /></a>

<style type="text/css">
<!--
a.gflag {vertical-align:middle;font-size:16px;padding:1px 0;background-repeat:no-repeat;background-image:url(//gtranslate.net/flags/16.png);}
a.gflag img {border:0;}
a.gflag:hover {background-image:url(//gtranslate.net/flags/16a.png);}
#goog-gt-tt {display:none !important;}
.goog-te-banner-frame {display:none !important;}
.goog-te-menu-value:hover {text-decoration:none !important;}
body {top:0 !important;}
#google_translate_element2 {display:none!important;}
-->
</style>

<br /><select onchange="doGTranslate(this);"><option value="">Select Language</option><option value="pt|af">Afrikaans</option><option value="pt|sq">Albanian</option><option value="pt|ar">Arabic</option><option value="pt|hy">Armenian</option><option value="pt|az">Azerbaijani</option><option value="pt|eu">Basque</option><option value="pt|be">Belarusian</option><option value="pt|bg">Bulgarian</option><option value="pt|ca">Catalan</option><option value="pt|zh-CN">Chinese (Simplified)</option><option value="pt|zh-TW">Chinese (Traditional)</option><option value="pt|hr">Croatian</option><option value="pt|cs">Czech</option><option value="pt|da">Danish</option><option value="pt|nl">Dutch</option><option value="pt|en">English</option><option value="pt|et">Estonian</option><option value="pt|tl">Filipino</option><option value="pt|fi">Finnish</option><option value="pt|fr">French</option><option value="pt|gl">Galician</option><option value="pt|ka">Georgian</option><option value="pt|de">German</option><option value="pt|el">Greek</option><option value="pt|ht">Haitian Creole</option><option value="pt|iw">Hebrew</option><option value="pt|hi">Hindi</option><option value="pt|hu">Hungarian</option><option value="pt|is">Icelandic</option><option value="pt|id">Indonesian</option><option value="pt|ga">Irish</option><option value="pt|it">Italian</option><option value="pt|ja">Japanese</option><option value="pt|ko">Korean</option><option value="pt|lv">Latvian</option><option value="pt|lt">Lithuanian</option><option value="pt|mk">Macedonian</option><option value="pt|ms">Malay</option><option value="pt|mt">Maltese</option><option value="pt|no">Norwegian</option><option value="pt|fa">Persian</option><option value="pt|pl">Polish</option><option value="pt|pt">Portuguese</option><option value="pt|ro">Romanian</option><option value="pt|ru">Russian</option><option value="pt|sr">Serbian</option><option value="pt|sk">Slovak</option><option value="pt|sl">Slovenian</option><option value="pt|es">Spanish</option><option value="pt|sw">Swahili</option><option value="pt|sv">Swedish</option><option value="pt|th">Thai</option><option value="pt|tr">Turkish</option><option value="pt|uk">Ukrainian</option><option value="pt|ur">Urdu</option><option value="pt|vi">Vietnamese</option><option value="pt|cy">Welsh</option><option value="pt|yi">Yiddish</option></select><div id="google_translate_element2"></div>
<script type="text/javascript">
function googleTranslateElementInit2() {new google.translate.TranslateElement({pageLanguage: 'pt',autoDisplay: false}, 'google_translate_element2');}
</script><script type="text/javascript" src="https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit2"></script>


<script type="text/javascript">
/* <![CDATA[ */
eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('6 7(a,b){n{4(2.9){3 c=2.9("o");c.p(b,f,f);a.q(c)}g{3 c=2.r();a.s(\'t\'+b,c)}}u(e){}}6 h(a){4(a.8)a=a.8;4(a==\'\')v;3 b=a.w(\'|\')[1];3 c;3 d=2.x(\'y\');z(3 i=0;i<d.5;i++)4(d[i].A==\'B-C-D\')c=d[i];4(2.j(\'k\')==E||2.j(\'k\').l.5==0||c.5==0||c.l.5==0){F(6(){h(a)},G)}g{c.8=b;7(c,\'m\');7(c,\'m\')}}',43,43,'||document|var|if|length|function|GTranslateFireEvent|value|createEvent||||||true|else|doGTranslate||getElementById|google_translate_element2|innerHTML|change|try|HTMLEvents|initEvent|dispatchEvent|createEventObject|fireEvent|on|catch|return|split|getElementsByTagName|select|for|className|goog|te|combo|null|setTimeout|500'.split('|'),0,{}))
/* ]]> */
</script>
          </div>

            </div>
        <?php } else{ ?>
            <div class="col">
                <div class="list-group main-menu">
                    <a href="<?=base_url()?>" class="list-group-item list-group-item-action active"><i class="material-icons icons-raised"><span class="fa fa-home"></i>Home</a>
                    <a href="<?=base_url('signup')?>" class="list-group-item list-group-item-action "><i class="material-icons icons-raised"><span class="fa fa-user"></i>Accounts</a>
                    <a href="<?=base_url('terms')?>" class="list-group-item list-group-item-action"><i class="material-icons icons-raised"><span class="fa fa-file-code"></i>Terms</a>
                    <a href="javascript:void(0)" class="list-group-item list-group-item-action" data-toggle="modal" data-target="#colorscheme"><i class="material-icons icons-raised"><span class="fa fa-adjust"></span></i>Preferences</a>


                    <div class="col-12" style="margin-top: 20px;">
            <a href="#" onclick="doGTranslate('pt|en');return false;" title="English" class="gflag nturl" style="background-position:-0px -0px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="English" /></a><a href="#" onclick="doGTranslate('pt|fr');return false;" title="French" class="gflag nturl" style="background-position:-200px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="French" /></a><a href="#" onclick="doGTranslate('pt|de');return false;" title="German" class="gflag nturl" style="background-position:-300px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="German" /></a><a href="#" onclick="doGTranslate('pt|it');return false;" title="Italian" class="gflag nturl" style="background-position:-600px -100px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Italian" /></a><a href="#" onclick="doGTranslate('pt|pt');return false;" title="Portuguese" class="gflag nturl" style="background-position:-300px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Portuguese" /></a><a href="#" onclick="doGTranslate('pt|ru');return false;" title="Russian" class="gflag nturl" style="background-position:-500px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Russian" /></a><a href="#" onclick="doGTranslate('pt|es');return false;" title="Spanish" class="gflag nturl" style="background-position:-600px -200px;"><img src="//gtranslate.net/flags/blank.png" height="16" width="16" alt="Spanish" /></a>

<style type="text/css">
<!--
a.gflag {vertical-align:middle;font-size:16px;padding:1px 0;background-repeat:no-repeat;background-image:url(//gtranslate.net/flags/16.png);}
a.gflag img {border:0;}
a.gflag:hover {background-image:url(//gtranslate.net/flags/16a.png);}
#goog-gt-tt {display:none !important;}
.goog-te-banner-frame {display:none !important;}
.goog-te-menu-value:hover {text-decoration:none !important;}
body {top:0 !important;}
#google_translate_element2 {display:none!important;}
-->
</style>

<br /><select onchange="doGTranslate(this);"><option value="">Select Language</option><option value="pt|af">Afrikaans</option><option value="pt|sq">Albanian</option><option value="pt|ar">Arabic</option><option value="pt|hy">Armenian</option><option value="pt|az">Azerbaijani</option><option value="pt|eu">Basque</option><option value="pt|be">Belarusian</option><option value="pt|bg">Bulgarian</option><option value="pt|ca">Catalan</option><option value="pt|zh-CN">Chinese (Simplified)</option><option value="pt|zh-TW">Chinese (Traditional)</option><option value="pt|hr">Croatian</option><option value="pt|cs">Czech</option><option value="pt|da">Danish</option><option value="pt|nl">Dutch</option><option value="pt|en">English</option><option value="pt|et">Estonian</option><option value="pt|tl">Filipino</option><option value="pt|fi">Finnish</option><option value="pt|fr">French</option><option value="pt|gl">Galician</option><option value="pt|ka">Georgian</option><option value="pt|de">German</option><option value="pt|el">Greek</option><option value="pt|ht">Haitian Creole</option><option value="pt|iw">Hebrew</option><option value="pt|hi">Hindi</option><option value="pt|hu">Hungarian</option><option value="pt|is">Icelandic</option><option value="pt|id">Indonesian</option><option value="pt|ga">Irish</option><option value="pt|it">Italian</option><option value="pt|ja">Japanese</option><option value="pt|ko">Korean</option><option value="pt|lv">Latvian</option><option value="pt|lt">Lithuanian</option><option value="pt|mk">Macedonian</option><option value="pt|ms">Malay</option><option value="pt|mt">Maltese</option><option value="pt|no">Norwegian</option><option value="pt|fa">Persian</option><option value="pt|pl">Polish</option><option value="pt|pt">Portuguese</option><option value="pt|ro">Romanian</option><option value="pt|ru">Russian</option><option value="pt|sr">Serbian</option><option value="pt|sk">Slovak</option><option value="pt|sl">Slovenian</option><option value="pt|es">Spanish</option><option value="pt|sw">Swahili</option><option value="pt|sv">Swedish</option><option value="pt|th">Thai</option><option value="pt|tr">Turkish</option><option value="pt|uk">Ukrainian</option><option value="pt|ur">Urdu</option><option value="pt|vi">Vietnamese</option><option value="pt|cy">Welsh</option><option value="pt|yi">Yiddish</option></select><div id="google_translate_element2"></div>
<script type="text/javascript">
function googleTranslateElementInit2() {new google.translate.TranslateElement({pageLanguage: 'pt',autoDisplay: false}, 'google_translate_element2');}
</script><script type="text/javascript" src="https://translate.google.com/translate_a/element.js?cb=googleTranslateElementInit2"></script>


<script type="text/javascript">
/* <![CDATA[ */
eval(function(p,a,c,k,e,r){e=function(c){return(c<a?'':e(parseInt(c/a)))+((c=c%a)>35?String.fromCharCode(c+29):c.toString(36))};if(!''.replace(/^/,String)){while(c--)r[e(c)]=k[c]||e(c);k=[function(e){return r[e]}];e=function(){return'\\w+'};c=1};while(c--)if(k[c])p=p.replace(new RegExp('\\b'+e(c)+'\\b','g'),k[c]);return p}('6 7(a,b){n{4(2.9){3 c=2.9("o");c.p(b,f,f);a.q(c)}g{3 c=2.r();a.s(\'t\'+b,c)}}u(e){}}6 h(a){4(a.8)a=a.8;4(a==\'\')v;3 b=a.w(\'|\')[1];3 c;3 d=2.x(\'y\');z(3 i=0;i<d.5;i++)4(d[i].A==\'B-C-D\')c=d[i];4(2.j(\'k\')==E||2.j(\'k\').l.5==0||c.5==0||c.l.5==0){F(6(){h(a)},G)}g{c.8=b;7(c,\'m\');7(c,\'m\')}}',43,43,'||document|var|if|length|function|GTranslateFireEvent|value|createEvent||||||true|else|doGTranslate||getElementById|google_translate_element2|innerHTML|change|try|HTMLEvents|initEvent|dispatchEvent|createEventObject|fireEvent|on|catch|return|split|getElementsByTagName|select|for|className|goog|te|combo|null|setTimeout|500'.split('|'),0,{}))
/* ]]> */
</script>
          </div>
                </div>
            </div>
        <?php }?>
        </div>
    </div>
    <b href="javascript:void(0)" class="closesidemenu"><i class="material-icons icons-raised bg-dark "><span class="fa fa-times"></span></i></b>
    <!-- sidebar ends -->

    <div class="wrapper profilepage">
        <!-- header -->
        <div class="header py-1" style="border-bottom: 1px solid #eee;" >
            <div class="row no-gutters">
                <div class="col-auto">
                    <button class="btn  btn-link text-dark menu-btn"><i class="fa fa-bars"></i>
                </div>
                <div class="col text-center">
                    <a href="<?=base_url()?>"><img src="<?=base_url('assets/avator/logo.png')?>" alt="" class="header-logo"  ></a></div>
                <?php if(isset($_SESSION['yid']) && $_SESSION['yid'] !='' ){ ?>
                    <!-- <div class="col-auto">
                    <a href="notification.html" class="btn  btn-link text-dark position-relative"><i class="material-icons">notifications_none</i><span class="counts">9+</span></a>
                </div> -->
            <?php } ?>
            </div>
        </div>
        <!-- header ends -->